#!/usr/bin/env python

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# Author : Nicolas Rougier
# Date   : 03/08/2007
# Version: beta

""" Boolean attribute renderer """

#________________________________________________________________________import
import gtk
import sys
from renderer import Renderer

#_____________________________________________________________class IntRenderer
class BoolRenderer (Renderer):
    """ Boolean attribute renderer """
    
    #_________________________________________________________________ __init__
    def __init__ (self, attribute):
        """ Initialize renderer according to attribute """
        Renderer.__init__ (self, attribute)
        self.editable = gtk.CheckButton ()
        self.editable.set_active  (self.attribute.get_value())
        self.signal_id = self.editable.connect ('toggled',self.on_change)

    #_________________________________________________________________set_value
    def set_value (self, value):
        """ Set edited value to value """
        self.editable.set_active (value)

    #_________________________________________________________________get_value
    def get_value (self):
        """ Get edited value """
        return  self.editable.get_active ()


