#!/usr/bin/env python

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# Author : Nicolas Rougier
# Date   : 03/08/2007
# Version: beta

""" Integer attribute renderer """

#________________________________________________________________________import
import gtk
import sys
from renderer import Renderer

#__________________________________________________________class ObjectRenderer
class ObjectRenderer (Renderer):
    """ Object attribute renderer """
    
    #_________________________________________________________________ __init__
    def __init__ (self, attribute):
        """ Initialize renderer according to attribute """
        
        Renderer.__init__ (self, attribute)
        self.editable = gtk.Button (attribute._name)
        self.editable.set_use_underline(False)
        self.editable.connect ('clicked', self.on_click)

    #__________________________________________________________________on_click
    def on_click (self, widget):
        """ Callback on click """

        pass

    #_________________________________________________________________set_value
    def set_value (self, value):
        """ Set edited value to value """

        pass

    #_________________________________________________________________get_value
    def get_value (self):
        """ Get edited value """

        pass

    #_____________________________________________________________________block
    def block (self):
        """ Block signal """

        pass

    #___________________________________________________________________unblock
    def unblock (self):
        """ Unblock signal """

        pass

